Subject: bug#36400: Few more words about ‘tex-print-file-extension’ (Emacs manual)

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 01:28:09 +0200

Sebastian Urban <[email-masked]> writes:

> In INFO @ 25.11.3 TeX Printing Commands:
>  For example, you can set it to ‘.pdf’, and update
> -‘tex-dvi-view-command’ and ‘tex-dvi-print-command’ accordingly.
> +‘tex-dvi-view-command’ and ‘tex-dvi-print-command’ accordingly, as
> +well as ‘latex-run-command’ or ‘tex-run-command’.
>
> Why?  Because without setting, for example, ‘latex-run-command’ to
> ‘pdflatex’ it (‘tex-region’, ‘tex-buffer’, ‘tex-file’) will still
> compile files with ‘latex’ and ‘tex-dvi-view-command’ &
> ‘tex-dvi-print-command’ will show error, because they will be looking
> for ‘.pdf’ and will only find ‘.dvi’.  So need for change also these
> two variables should be noted.

I think that makes sense, even if it's been a few years since I used
this stuff in Emacs, so I've applied a version of this to the Emacs
trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no